<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>spin</name>
  <program_name>spin</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>eventbox3_blue</name>

      <widget>
	<class>GtkVBox</class>
	<name>vbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label1</name>
	    <label>Bender </label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>2</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button16</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_arg_int:respeed:0</handler>
	      <last_modification_time>Fri, 23 Nov 2001 13:15:58 GMT</last_modification_time>
	    </signal>
	    <label>respeed</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkToggleButton</class>
	    <name>togglebutton3</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>toggled</name>
	      <handler>gdam_skin_toggle_button:is_resampling</handler>
	      <last_modification_time>Sat, 24 Nov 2001 04:12:24 GMT</last_modification_time>
	    </signal>
	    <label>resampled</label>
	    <active>True</active>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkSpinButton</class>
	    <name>delay_sbutton</name>
	    <tooltip>block size, in 1/8 beats</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>whenever</name>
	      <handler>gdam_skin_adjustment:eighth_beat_factor</handler>
	      <last_modification_time>Mon, 24 Jan 2000 22:20:36 GMT</last_modification_time>
	    </signal>
	    <signal>
	      <name>activate</name>
	      <handler>gdam_skin_defocus_on_activate</handler>
	      <last_modification_time>Thu, 13 Apr 2000 21:51:55 GMT</last_modification_time>
	    </signal>
	    <climb_rate>1</climb_rate>
	    <digits>0</digits>
	    <numeric>True</numeric>
	    <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	    <snap>False</snap>
	    <wrap>False</wrap>
	    <value>4</value>
	    <lower>-16</lower>
	    <upper>16</upper>
	    <step>1</step>
	    <page>8</page>
	    <page_size>10</page_size>
	    <child>
	      <padding>2</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox2</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>4</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox2</name>
	    <tooltip>change the tempo</tooltip>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHScale</class>
	      <name>hscale1</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_adjustment:respeed_rate</handler>
		<last_modification_time>Sat, 24 Nov 2001 02:16:35 GMT</last_modification_time>
	      </signal>
	      <draw_value>True</draw_value>
	      <value_pos>GTK_POS_TOP</value_pos>
	      <digits>3</digits>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>1</value>
	      <lower>0</lower>
	      <upper>2</upper>
	      <step>0.1</step>
	      <page>0.01</page>
	      <page_size>0</page_size>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button17</name>
	    <tooltip>set the tempo to default value</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_skin_arg_double:respeed_rate:1.0</handler>
	      <last_modification_time>Sat, 24 Nov 2001 02:19:42 GMT</last_modification_time>
	    </signal>
	    <label>1</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox5</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox3</name>
	    <tooltip>change the pitch</tooltip>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHScale</class>
	      <name>hscale2</name>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_adjustment:resample_rate</handler>
		<last_modification_time>Sat, 24 Nov 2001 02:29:02 GMT</last_modification_time>
	      </signal>
	      <draw_value>True</draw_value>
	      <value_pos>GTK_POS_TOP</value_pos>
	      <digits>3</digits>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>1</value>
	      <lower>0</lower>
	      <upper>2</upper>
	      <step>0.1</step>
	      <page>0.01</page>
	      <page_size>0</page_size>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button18</name>
	    <tooltip>set the pitch to normal value</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_skin_arg_double:resample_rate:1.0</handler>
	      <last_modification_time>Sat, 24 Nov 2001 02:28:34 GMT</last_modification_time>
	    </signal>
	    <label>1</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox6</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label4</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_label:overall_rate:%3.3f</handler>
	      <last_modification_time>Sat, 24 Nov 2001 05:07:33 GMT</last_modification_time>
	    </signal>
	    <label>100%</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label5</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_skin_bpm_label</handler>
	      <last_modification_time>Sat, 24 Nov 2001 05:10:14 GMT</last_modification_time>
	    </signal>
	    <label>60.00</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <name>label6</name>
	    <label>bpm</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkOptionMenu</class>
	    <name>optionmenu1_blue</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>selection-done</name>
	      <handler>gdam_skin_option_menu_enumeration:mode</handler>
	      <last_modification_time>Sat, 01 Dec 2001 07:56:02 GMT</last_modification_time>
	    </signal>
	    <items>continuous
keep time
snap time
return to start
keep in beat
keep input constant
input constant valid
</items>
	    <initial_choice>1</initial_choice>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button4</name>
	    <tooltip>jump to mark - shifts the position to undo recent bending and preserve underlying rate</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_skin_arg_int:jump_to_mark:2</handler>
	      <last_modification_time>Sat, 26 Feb 2000 00:10:24 GMT</last_modification_time>
	    </signal>
	    <label>jump</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button6</name>
	    <tooltip>assign midi control</tooltip>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>pressed</name>
	      <handler>gdam_skin_try_or_destroy:gdam_input_button:jump_to_mark:0:5:Jump_To_Mark</handler>
	      <last_modification_time>Tue, 12 Sep 2000 05:00:04 GMT</last_modification_time>
	    </signal>
	    <label>m</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkButton</class>
	    <name>button7</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>clicked</name>
	      <handler>gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:bend</handler>
	      <last_modification_time>Fri, 24 Mar 2000 16:41:14 GMT</last_modification_time>
	    </signal>
	    <label>?</label>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>


	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox4_blue</name>
	  <signal>
	    <name>gdam-left-clicked</name>
	    <handler>gdam_skin_do_toggle:follow_position</handler>
	  </signal>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox4</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label2</name>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_label:playback_position:%3.3f</handler>
		<last_modification_time>Mon, 19 Nov 2001 13:32:16 GMT</last_modification_time>
	      </signal>
	      <label>pos</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkLabel</class>
	      <name>label3</name>
	      <signal>
		<name>whatever</name>
		<handler>gdam_skin_label:playback_offset:%3.3f</handler>
		<last_modification_time>Tue, 20 Nov 2001 10:00:46 GMT</last_modification_time>
	      </signal>
	      <label>offset</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkProgressBar</class>
	      <name>progressbar1</name>
	      <signal>
		<name>value_changed</name>
		<handler>gdam_skin_adjustment:playback_fraction</handler>
		<last_modification_time>Tue, 20 Nov 2001 10:18:45 GMT</last_modification_time>
	      </signal>
	      <value>0.5</value>
	      <lower>0</lower>
	      <upper>1</upper>
	      <bar_style>GTK_PROGRESS_CONTINUOUS</bar_style>
	      <orientation>GTK_PROGRESS_RIGHT_TO_LEFT</orientation>
	      <activity_mode>False</activity_mode>
	      <show_text>True</show_text>
	      <format>%P %%</format>
	      <text_xalign>0.5</text_xalign>
	      <text_yalign>0.5</text_yalign>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>
	    </widget>
	  </widget>

	</widget>

      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
